Bug 188833 - CVE-2006-1731 Cross-site scripting using .valueOf.call()
CVE-2006-1731 Cross-site scripting using .valueOf.call()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 23:29 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 08:55:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 23:29:47 EDT
Cross-site scripting using .valueOf.call()


moz_bug_r_a4 discovered that .valueOf.call() and .valueOf.apply() when
called with no arguments were returning the Object class prototype rather
than the caller's global window object. When called on a reachable property
of  another  window this provides a hook to get around the same-origin
protection, allowing an attacker to inject script into another window.

Cross-site script injection can be used to steal confidential data such as
cookies or passwords, or perform actions on the user's behalf. It can also
be used to alter the content of the other window which could be used to fool
a user into trusting bogus information or downloaded content.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until a fixed version can be installed.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=327194
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=290488


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-27 08:55:14 EDT
These issues have been resolved in FEDORA-2006-411 for FC5 and FEDORA-2006-410
for FC4

Note You need to log in before you can comment on or make changes to this bug.